#!/bin/bash

log_level="INFO"
#Записать информацию в лог. Будет выведена только та, которая по приоритету выше или равна log_level
#Параметры:
#   $1 - Уровень=TRACE|DEBUG|INFO|ERROR
#   $2 - Сообщение
log(){
	log_lever_line=TRACEDEBUGINFOERROR
	if [[ "$log_level" = "$1" ]] || [[ "$(echo $log_lever_line |sed s/^.*$log_level//g )" == *"$1"* ]]; then
    	echo "$1: $2"
    fi;
}

parameter_file="/etc/zabbix/zabbix_agentd.conf.d/cashserver_template.conf"

while read -r; do
	body=$REPLY
	log TRACE "body: $body"
	parameter_name=$(echo $body | sed 's/,.*$//g' | sed 's/UserParameter=//g')
	log DEBUG "parameter_name: $parameter_name"
	parameter_cmd=$(echo $body | sed 's/UserParameter=.*,//g' | sed 's/UserParameter=//g')
	log DEBUG "parameter_cmd: $parameter_cmd"
	log INFO "Execute command for $parameter_name:"
	result=$(sh -c "$parameter_cmd")
	log INFO "result: $result"
done < $parameter_file;